# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# /__w/cuml/cuml/conda/recipes/cuml, last modified Wed Apr 10 21:21:56 2024
# ------------------------------------------------

package:
  name: cuml
  version: 24.04.00
source:
  path: /__w/cuml/cuml
build:
  ignore_run_exports_from:
    - cuda-cudart-dev
    - cuda-nvcc_linux-aarch64
  number: '0'
  script_env:
    - AWS_ACCESS_KEY_ID
    - AWS_SECRET_ACCESS_KEY
    - AWS_SESSION_TOKEN
    - CMAKE_CUDA_COMPILER_LAUNCHER
    - CMAKE_CXX_COMPILER_LAUNCHER
    - CMAKE_C_COMPILER_LAUNCHER
    - CMAKE_GENERATOR
    - PARALLEL_LEVEL
    - SCCACHE_BUCKET
    - SCCACHE_IDLE_TIMEOUT
    - SCCACHE_REGION
    - SCCACHE_S3_KEY_PREFIX=cuml-aarch64
    - SCCACHE_S3_USE_SSL
  string: cuda12_py310_240410_ge7bc67431_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_14
    - binutils_impl_linux-aarch64 2.40 h870a726_0
    - binutils_linux-aarch64 2.40 h95d2017_3
    - bzip2 1.0.8 h31becfc_5
    - c-ares 1.28.1 h31becfc_0
    - ca-certificates 2024.2.2 hcefe29a_0
    - cmake 3.29.1 hef020d8_0
    - cuda-cccl_linux-aarch64 12.2.140 h579c4fd_0
    - cuda-crt-dev_linux-aarch64 12.2.140 h579c4fd_1
    - cuda-crt-tools 12.2.140 h579c4fd_1
    - cuda-cudart 12.2.140 hac28a21_0
    - cuda-cudart-dev 12.2.140 hac28a21_0
    - cuda-cudart-dev_linux-aarch64 12.2.140 hac28a21_0
    - cuda-cudart-static 12.2.140 hac28a21_0
    - cuda-cudart-static_linux-aarch64 12.2.140 hac28a21_0
    - cuda-cudart_linux-aarch64 12.2.140 hac28a21_0
    - cuda-driver-dev_linux-aarch64 12.2.140 hac28a21_0
    - cuda-nvcc-dev_linux-aarch64 12.2.140 h579c4fd_1
    - cuda-nvcc-impl 12.2.140 hac28a21_1
    - cuda-nvcc-tools 12.2.140 hac28a21_1
    - cuda-nvcc_linux-aarch64 12.2.140 h028b88b_0
    - cuda-nvvm-dev_linux-aarch64 12.2.140 h579c4fd_1
    - cuda-nvvm-impl 12.2.140 hac28a21_1
    - cuda-nvvm-tools 12.2.140 hac28a21_1
    - cuda-version 12.2 he2b69de_3
    - gcc_impl_linux-aarch64 11.4.0 h0207d0b_5
    - gcc_linux-aarch64 11.4.0 hd664738_3
    - gxx_impl_linux-aarch64 11.4.0 h0207d0b_5
    - gxx_linux-aarch64 11.4.0 h27552d9_3
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_14
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.2 hc419048_0
    - ld_impl_linux-aarch64 2.40 h2d8c526_0
    - libcurl 8.7.1 h4e8248e_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h31becfc_2
    - libexpat 2.6.2 h2f0025b_0
    - libgcc-devel_linux-aarch64 11.4.0 h7ce4923_105
    - libgcc-ng 13.2.0 hf8544c7_5
    - libgomp 13.2.0 hf8544c7_5
    - libnghttp2 1.58.0 hb0e430d_1
    - libsanitizer 11.4.0 h6bfd624_5
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx-devel_linux-aarch64 11.4.0 h7ce4923_105
    - libstdcxx-ng 13.2.0 h9a76618_5
    - libuv 1.48.0 h31becfc_0
    - libzlib 1.2.13 h31becfc_5
    - ncurses 6.4.20240210 h0425590_0
    - ninja 1.11.1 hdd96247_0
    - openssl 3.2.1 h31becfc_1
    - rhash 1.4.4 h31becfc_0
    - sysroot_linux-aarch64 2.17 h5b4a56d_14
    - xz 5.2.6 h9cdd2b7_0
    - zstd 1.5.5 h4c53e97_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - aws-c-auth 0.7.17 h43c0ec5_2
    - aws-c-cal 0.6.11 hd75f5ff_0
    - aws-c-common 0.9.15 h31becfc_0
    - aws-c-compression 0.2.18 he771c36_3
    - aws-c-event-stream 0.4.2 h0aa0982_8
    - aws-c-http 0.8.1 h505357e_10
    - aws-c-io 0.14.7 h2e28a7b_3
    - aws-c-mqtt 0.10.3 h3321c0c_4
    - aws-c-s3 0.5.7 hb8e3a89_1
    - aws-c-sdkutils 0.1.15 he771c36_3
    - aws-checksums 0.1.18 he771c36_3
    - aws-crt-cpp 0.26.6 h497fec5_4
    - aws-sdk-cpp 1.11.267 hc40fc56_6
    - bokeh 3.4.0 pyhd8ed1ab_0
    - brotli-python 1.1.0 py310hbb3657e_1
    - bzip2 1.0.8 h31becfc_5
    - c-ares 1.28.1 h31becfc_0
    - ca-certificates 2024.2.2 hcefe29a_0
    - cachetools 5.3.3 pyhd8ed1ab_0
    - click 8.1.7 unix_pyh707e725_0
    - cloudpickle 3.0.0 pyhd8ed1ab_0
    - contourpy 1.2.1 py310h586407a_0
    - cuda-cccl_linux-aarch64 12.2.140 h579c4fd_0
    - cuda-crt-dev_linux-aarch64 12.2.140 h579c4fd_1
    - cuda-crt-tools 12.2.140 h579c4fd_1
    - cuda-cudart 12.2.140 hac28a21_0
    - cuda-cudart-dev 12.2.140 hac28a21_0
    - cuda-cudart-dev_linux-aarch64 12.2.140 hac28a21_0
    - cuda-cudart-static 12.2.140 hac28a21_0
    - cuda-cudart-static_linux-aarch64 12.2.140 hac28a21_0
    - cuda-cudart_linux-aarch64 12.2.140 hac28a21_0
    - cuda-nvcc-dev_linux-aarch64 12.2.140 h579c4fd_1
    - cuda-nvcc-impl 12.2.140 hac28a21_1
    - cuda-nvcc-tools 12.2.140 hac28a21_1
    - cuda-nvrtc 12.2.140 hac28a21_0
    - cuda-nvvm-dev_linux-aarch64 12.2.140 h579c4fd_1
    - cuda-nvvm-impl 12.2.140 hac28a21_1
    - cuda-nvvm-tools 12.2.140 hac28a21_1
    - cuda-profiler-api 12.2.140 h579c4fd_0
    - cuda-python 12.4.0 py310hbbb1677_1
    - cuda-version 12.2 he2b69de_3
    - cudf 24.04.00 cuda12_py310_240410_g578c240a20_0
    - cupy 13.0.0 py310hd45ee70_3
    - cupy-core 13.0.0 py310h0041da6_3
    - cython 3.0.10 py310hbb3657e_0
    - cytoolz 0.12.3 py310h7c1f4a2_0
    - dask 2024.1.1 pyhd8ed1ab_0
    - dask-core 2024.1.1 pyhd8ed1ab_0
    - dask-cuda 24.04.00 py310_240410_g7ed6735_0
    - dask-expr 0.4.0 pyhd8ed1ab_0
    - distributed 2024.1.1 pyhd8ed1ab_0
    - dlpack 0.8 h2f0025b_3
    - exceptiongroup 1.2.0 pyhd8ed1ab_2
    - fastrlock 0.8.2 py310hbb3657e_2
    - fmt 10.2.1 h2a328a1_0
    - freetype 2.12.1 hf0a5ef3_2
    - fsspec 2024.3.1 pyhca7485f_0
    - gflags 2.2.2 h54f1f3f_1004
    - glog 0.7.0 ha63034d_0
    - gmock 1.14.0 h8af1aa0_1
    - gtest 1.14.0 h2a328a1_1
    - icu 73.2 h787c7f5_0
    - importlib-metadata 7.1.0 pyha770c72_0
    - importlib-resources 6.4.0 pyhd8ed1ab_0
    - importlib_metadata 7.1.0 hd8ed1ab_0
    - importlib_resources 6.4.0 pyhd8ed1ab_0
    - jinja2 3.1.3 pyhd8ed1ab_0
    - joblib 1.4.0 pyhd8ed1ab_0
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.2 hc419048_0
    - lcms2 2.16 h922389a_0
    - ld_impl_linux-aarch64 2.40 h2d8c526_0
    - lerc 4.0.0 h4de3ea5_0
    - libabseil 20240116.1 cxx17_h2f0025b_2
    - libarrow 14.0.2 h520d24b_16_cpu
    - libarrow-acero 14.0.2 h0a1ffab_16_cpu
    - libarrow-dataset 14.0.2 h0a1ffab_16_cpu
    - libarrow-flight 14.0.2 hbf3f4d3_16_cpu
    - libarrow-flight-sql 14.0.2 h7624240_16_cpu
    - libarrow-gandiva 14.0.2 h1eebba3_16_cpu
    - libarrow-substrait 14.0.2 h9b67ed8_16_cpu
    - libblas 3.9.0 22_linuxaarch64_openblas
    - libbrotlicommon 1.1.0 h31becfc_1
    - libbrotlidec 1.1.0 h31becfc_1
    - libbrotlienc 1.1.0 h31becfc_1
    - libcblas 3.9.0 22_linuxaarch64_openblas
    - libcrc32c 1.1.2 h01db608_0
    - libcublas 12.2.5.6 hac28a21_0
    - libcublas-dev 12.2.5.6 hac28a21_0
    - libcudf 24.04.00 cuda12_240410_g578c240a20_0
    - libcufft 11.0.8.103 hac28a21_0
    - libcuml 24.04.00 cuda12_240410_ge7bc67431_0
    - libcumlprims 24.04.00 cuda12_240410_gfae5daf_0
    - libcurand 10.3.3.141 hac28a21_0
    - libcurand-dev 10.3.3.141 hac28a21_0
    - libcurl 8.7.1 h4e8248e_0
    - libcusolver 11.5.2.141 hac28a21_0
    - libcusolver-dev 11.5.2.141 hac28a21_0
    - libcusparse 12.1.2.141 hac28a21_0
    - libcusparse-dev 12.1.2.141 hac28a21_0
    - libdeflate 1.20 h31becfc_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h31becfc_2
    - libevent 2.1.12 h4ba1bb4_1
    - libffi 3.4.2 h3557bc0_5
    - libgcc-ng 13.2.0 hf8544c7_5
    - libgfortran-ng 13.2.0 he9431aa_5
    - libgfortran5 13.2.0 h582850c_5
    - libgomp 13.2.0 hf8544c7_5
    - libgoogle-cloud 2.22.0 hd739bbb_1
    - libgoogle-cloud-storage 2.22.0 hdb39181_1
    - libgrpc 1.62.1 h98a9317_0
    - libiconv 1.17 h31becfc_2
    - libjpeg-turbo 3.0.0 h31becfc_1
    - libkvikio 24.04.00 cuda12_240410_gfb767d7_0
    - liblapack 3.9.0 22_linuxaarch64_openblas
    - libllvm14 14.0.6 h966f666_4
    - libllvm15 15.0.7 hb4f23b0_4
    - libnghttp2 1.58.0 hb0e430d_1
    - libnl 3.9.0 h31becfc_0
    - libnsl 2.0.1 h31becfc_0
    - libnvjitlink 12.2.140 hac28a21_0
    - libopenblas 0.3.27 pthreads_h5a5ec62_0
    - libparquet 14.0.2 h70b04f6_16_cpu
    - libpng 1.6.43 h194ca79_0
    - libprotobuf 4.25.3 h648ac29_0
    - libraft 24.04.00 cuda12_240410_gfa44bcc8_0
    - libraft-headers 24.04.00 cuda12_240410_gfa44bcc8_0
    - libraft-headers-only 24.04.00 cuda12_240410_gfa44bcc8_0
    - libre2-11 2023.09.01 h9d008c2_2
    - librmm 24.04.00 cuda12_240410_g8f19c9c3_0
    - libsqlite 3.45.2 h194ca79_0
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx-ng 13.2.0 h9a76618_5
    - libthrift 0.19.0 h043aeee_1
    - libtiff 4.6.0 hf980d43_3
    - libutf8proc 2.8.0 h4e544f5_0
    - libuuid 2.38.1 hb4cce97_0
    - libwebp-base 1.3.2 h31becfc_1
    - libxcb 1.15 h2a766a3_0
    - libxcrypt 4.4.36 h31becfc_1
    - libxml2 2.12.6 h3091e33_1
    - libzlib 1.2.13 h31becfc_5
    - llvmlite 0.42.0 py310h20b6881_1
    - locket 1.0.0 pyhd8ed1ab_0
    - lz4 4.3.3 py310h22f0174_0
    - lz4-c 1.9.4 hd600fc2_0
    - markdown-it-py 3.0.0 pyhd8ed1ab_0
    - markupsafe 2.1.5 py310h7c1f4a2_0
    - mdurl 0.1.2 pyhd8ed1ab_0
    - msgpack-python 1.0.7 py310he290b8a_0
    - nccl 2.21.5.1 hd08b16e_0
    - ncurses 6.4.20240210 h0425590_0
    - numba 0.59.1 py310hcb66154_0
    - numpy 1.26.4 py310hcbab775_0
    - nvcomp 3.0.6 hed029d7_0
    - nvtx 0.2.10 py310h7c1f4a2_0
    - openjpeg 2.5.2 h0d9d63b_0
    - openssl 3.2.1 h31becfc_1
    - orc 2.0.0 hd7aaf90_1
    - packaging 24.0 pyhd8ed1ab_0
    - pandas 2.2.1 py310hf9cab1f_0
    - partd 1.4.1 pyhd8ed1ab_0
    - pathspec 0.12.1 pyhd8ed1ab_0
    - pillow 10.3.0 py310he5cda9b_0
    - pip 24.0 pyhd8ed1ab_0
    - protobuf 4.25.3 py310h6802e18_0
    - psutil 5.9.8 py310hb299538_0
    - pthread-stubs 0.4 hb9de7d4_1001
    - pyarrow 14.0.2 py310h9543b79_16_cpu
    - pyarrow-hotfix 0.6 pyhd8ed1ab_0
    - pygments 2.17.2 pyhd8ed1ab_0
    - pylibraft 24.04.00 cuda12_py310_240410_gfa44bcc8_0
    - pynvjitlink 0.1.14 py310h2b4f3d0_0
    - pynvml 11.4.1 pyhd8ed1ab_0
    - pyproject-metadata 0.7.1 pyhd8ed1ab_0
    - pysocks 1.7.1 pyha2e5f31_6
    - python 3.10.14 hbbe8eec_0_cpython
    - python-dateutil 2.9.0 pyhd8ed1ab_0
    - python-tzdata 2024.1 pyhd8ed1ab_0
    - python_abi 3.10 4_cp310
    - pytz 2024.1 pyhd8ed1ab_0
    - pyyaml 6.0.1 py310hb299538_1
    - raft-dask 24.04.00 cuda12_py310_240410_gfa44bcc8_0
    - rapids-dask-dependency 24.04.00 py_0
    - rdma-core 51.0 h0425590_0
    - re2 2023.09.01 h9caee61_2
    - readline 8.2 h8fc344f_1
    - rich 13.7.1 pyhd8ed1ab_0
    - rmm 24.04.00 cuda12_py310_240410_g8f19c9c3_0
    - s2n 1.4.9 h5a25046_0
    - scikit-build-core 0.8.2 pyh4af843d_0
    - scipy 1.13.0 py310hcbab775_0
    - setuptools 69.2.0 pyhd8ed1ab_0
    - six 1.16.0 pyh6c4a22f_0
    - snappy 1.2.0 h8d0c38d_1
    - sortedcontainers 2.4.0 pyhd8ed1ab_0
    - spdlog 1.12.0 h6b8df57_2
    - tblib 3.0.0 pyhd8ed1ab_0
    - tk 8.6.13 h194ca79_0
    - tomli 2.0.1 pyhd8ed1ab_0
    - toolz 0.12.1 pyhd8ed1ab_0
    - tornado 6.4 py310h7c1f4a2_0
    - treelite 4.1.2 py310h37c4489_0
    - typing-extensions 4.11.0 hd8ed1ab_0
    - typing_extensions 4.11.0 pyha770c72_0
    - tzdata 2024a h0c530f3_0
    - ucx 1.15.0 h5817894_8
    - ucx-proc 1.0.0 gpu
    - ucx-py 0.37.00 py310_240410_gcb8f84c_0
    - urllib3 2.2.1 pyhd8ed1ab_0
    - wheel 0.43.0 pyhd8ed1ab_1
    - xorg-libxau 1.0.11 h31becfc_0
    - xorg-libxdmcp 1.1.3 h3557bc0_0
    - xyzservices 2024.4.0 pyhd8ed1ab_0
    - xz 5.2.6 h9cdd2b7_0
    - yaml 0.2.5 hf897c2e_2
    - zict 3.0.0 pyhd8ed1ab_0
    - zipp 3.17.0 pyhd8ed1ab_0
    - zstd 1.5.5 h4c53e97_0
  run:
    - cuda-cudart
    - cuda-python >=12,<13.0a0
    - cuda-version >=12,<13.0a0
    - cudf =24.04
    - cupy >=12.0.0
    - dask-cudf =24.04
    - joblib >=0.11
    - libcuml =24.04.00
    - libcumlprims =24.04
    - libgcc-ng >=12
    - libstdcxx-ng >=12
    - pylibraft =24.04
    - python >=3.10,<3.11.0a0
    - python_abi 3.10.* *_cp310
    - raft-dask =24.04
    - rapids-dask-dependency =24.04
    - treelite =4.1.2
about:
  home: https://rapids.ai/
  license: Apache-2.0
  summary: cuML library
extra:
  copy_test_source_files: true
  final: true
